Recent task batches
curl --request GET \
--url 'https://api.vida.dev/api/v2/tasks/batches?token='import requests
url = "https://api.vida.dev/api/v2/tasks/batches?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/tasks/batches?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"batches": [
{
"batchId": "f52b1e01-5cbc-483c-9939-3bf7d37e1426",
"submittedAt": 1712345678,
"source": "api/tasks",
"total": 100,
"byState": {
"pending": 80,
"finished": 20
}
}
]
}Tasks
Recent task batches
List recent server-generated submission batches. Single-task batches are excluded unless includeSingles is true.
GET
/
api
/
v2
/
tasks
/
batches
Recent task batches
Authorizations
Vida API Token
Query Parameters
Scope batches to one agent account in the organization
Exact agent account ID
Maximum batches to return (1-100)
Include batches containing one task
⌘I